program main;

{$APPTYPE CONSOLE}

uses
  SysUtils;

var
rez:longword;
 t,j:integer;
s2: string;
s1: array [1..3] of longword;
begin
assignfile(input,'D.in');
assignfile (output,'D.out');
reset (input);
rewrite (output);
readln (input, s2);
t:=1;
for j:= 0 to length(s2) do
if (s2[j]<>' ') then
begin
s1[t]:=strtoint(inttostr(s1[t])+s2[j]);
end
else
t:=t+1;

rez:=s1[1]-(s1[2]-s1[3]);
writeln (output,inttostr(rez));
close (output);
  { TODO -oUser -cConsole Main : Insert code here }
end.
